import App from './App'
import Vue from 'vue'
import './uni.promisify.adaptor'
import uView from "uview-ui";
import WebIM from './newSDK/Easemob-chat.js'
import {
	conn
} from './utils/WebIM';
Vue.use(uView);
Vue.config.productionTip = false
Vue.prototype.$openimage = function(urls, index) {
	uni.previewImage({
		urls: urls,
		current: index
	})
}
App.mpType = 'app'
const app = new Vue({
	WebIM,
	...App
})
app.$mount()


// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif